#include <iostream>
#include <list>
using namespace std;
int main()
{
    int n,m,t,u;
    cin>>n>>m;
    long a[n+1];
    list <int> x[n+1];
    for(int i=1;i<=n;i++){
        cin>>a[i];
    }
    for(int i=0;i<m;i++){
        cin>>t>>u;
        x[u].push_back(t);
        x[t].push_back(u);
    }
    long int q=0;
    for(int i=1;i<=n;i++){
        q=q+(a[i]*(x[i].size()));
    }
    if(q>0) cout<<q;
    else cout<<-q;
    return 0;
}